> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a specific version of a voice design

> Permanently deletes a specific version of a voice design. The version number must be a positive integer.



## OpenAPI

````yaml /openapi/voice-designs.yml delete /voice_designs/{id}/versions/{version}
openapi: 3.1.0
info:
  title: Voice Designs API
  version: 2.0.0
  description: Create and manage AI-generated voice designs using natural language prompts.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Voice Designs
    description: >-
      Create and manage AI-generated voice designs using natural language
      prompts.
paths:
  /voice_designs/{id}/versions/{version}:
    delete:
      tags:
        - Voice Designs
      summary: Delete a specific version of a voice design
      description: >-
        Permanently deletes a specific version of a voice design. The version
        number must be a positive integer.
      operationId: deleteVoiceDesignVersion
      parameters:
        - name: id
          in: path
          required: true
          description: The voice design UUID or name.
          schema:
            type: string
        - name: version
          in: path
          required: true
          description: The version number to delete.
          schema:
            type: integer
            minimum: 1
      responses:
        '204':
          description: Voice design version deleted successfully.
        '400':
          description: Bad request — invalid version number.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voice-designs_ErrorResponse'
        '401':
          description: Unauthorized — missing or invalid bearer token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voice-designs_ErrorResponse'
        '404':
          description: Voice design or version not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/voice-designs_ErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            await client.voiceDesigns.deleteVersion(1, { id: 'id' });
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            client.voice_designs.delete_version(
                version=1,
                id="id",
            )
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\terr := client.VoiceDesigns.DeleteVersion(\n\t\tcontext.TODO(),\n\t\t1,\n\t\ttelnyx.VoiceDesignDeleteVersionParams{\n\t\t\tID: \"id\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.voicedesigns.VoiceDesignDeleteVersionParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    VoiceDesignDeleteVersionParams params = VoiceDesignDeleteVersionParams.builder()
                        .id("id")
                        .version(1L)
                        .build();
                    client.voiceDesigns().deleteVersion(params);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            result = telnyx.voice_designs.delete_version(1, id: "id")

            puts(result)
        - lang: CLI
          source: |-
            telnyx voice-designs delete-version \
              --api-key 'My API Key' \
              --id id \
              --version 1
components:
  schemas:
    voice-designs_ErrorResponse:
      type: object
      description: Standard error response envelope.
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorObject'
      example:
        errors:
          - code: '10005'
            title: Resource not found
            detail: Voice design not found
    ErrorObject:
      type: object
      description: A single error object.
      properties:
        code:
          type: string
          description: Telnyx-specific error code.
        title:
          type: string
          description: Short, human-readable summary of the error.
        detail:
          type: string
          description: Detailed, human-readable explanation of the error.
        source:
          type: object
          description: Reference to the source of the error.
          properties:
            pointer:
              type: string
              description: A JSON Pointer (RFC 6901) to the field that caused the error.

````